Skip to main content
DELETE
/
v1
/
conversation
/
{conversation_id}
Delete Conversation
curl --request DELETE \
  --url https://api.trugen.ai/v1/v1/conversation/{conversation_id} \
  --header 'x-api-key: <api-key>'
{
  "agent_identity": "agent-AJ_jMvkNX2n8PsG",
  "conversation_id": "f3418b93-b1ce-496e-aa45-ae2e455c0c75",
  "message": "Conversation ended successfully"
}

Authorizations

x-api-key
string
header
required

Path Parameters

conversation_id
string
required

The unique identifier of the conversation to end.

Example:

"conv_abc123"

Response

Conversation ended and deleted successfully.

agent_identity
string

The identity of the agent associated with the conversation.

Example:

"agent-AJ_jMvkNX2n8PsG"

conversation_id
string

The unique identifier of the conversation that was ended.

Example:

"f3418b93-b1ce-496e-aa45-ae2e455c0c75"

message
string

Confirmation message.

Example:

"Conversation ended successfully"